Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Obchunk Class Reference

Defines the state that represents a "chunk" of memory. Evenything in this class is public because it is designed as an internal structure of Obstack_T and users are not supposed to use this class directly. More...

`#include <Obchunk.h>`

List of all members.

## Public Methods
| ACE_Obchunk (size_t size)
| Constructor.
| ~ACE_Obchunk (void)
| Dtor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
char * | end_
| Pointer to the end of the chunk.
char * | block_
| Pointer to the head of the current building block.
char * | cur_
| Pointer to the current location in the chunk.
ACE_Obchunk * | next_
| Next chunk in the chain.
char | contents_ [4]

## Detailed Description

Defines the state that represents a "chunk" of memory. Evenything in this class is public because it is designed as an internal structure of Obstack_T and users are not supposed to use this class directly.

See also:
  ACE_Obstack_T

## Constructor & Destructor Documentation

ACE_Obchunk::ACE_Obchunk | ( | size_t | size | ) |

| Constructor.

ACE_INLINE ACE_Obchunk::~ACE_Obchunk | ( | void |  | ) |

| Dtor.

## Member Function Documentation

void ACE_Obchunk::dump | ( | void |  | ) | const

| Dump the state of an object.

## Member Data Documentation

ACE_Obchunk::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

char* ACE_Obchunk::block_

| Pointer to the head of the current building block.

char ACE_Obchunk::contents_[4]

| Pointer to the beginning contents of this chunk. This field is actually overlayed by the memory allocated by <ACE_Obstack::new_chunk>. Therefore, it *must* come last.

char* ACE_Obchunk::cur_

| Pointer to the current location in the chunk.

char* ACE_Obchunk::end_

| Pointer to the end of the chunk.

ACE_Obchunk* ACE_Obchunk::next_

| Next chunk in the chain.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Obchunk.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Obchunk.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Obchunk.i